using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RacetrackSimulator
{
    class Bet
    {
        // Fields
        public int Amount { get; set; }
        public Guy Bettor { get; set; }
        public int Dog { get; set; }
        // Methods
        public Bet() { }
        public string GetDescription()
        {
            if ((this.Amount == 0) || (this.Bettor.MyBet.Amount > this.Bettor.Cash))
            {
                return (this.Bettor.Name + " nie postawił jeszcze zakładu");
            }
            return string.Concat(new object[] { this.Bettor.Name, " stawia ", this.Bettor.MyBet.Amount, " na psa numer ", this.Bettor.MyBet.Dog });
        }


        public int PayOut(int Winner)
        {
            if (this.Bettor.MyBet.Dog == Winner)
            {
                return this.Amount;
            }
            return -this.Amount;
        }


    }

}
